Karia
ReferencesOpenapiOrigination

Update deal

PATCH
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}

Update the provided fields for an origination deal in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
dealId*string
application/json
  1. body
name?string
description?string
dealPhase?string
Value in"new""quoting""awaiting_information""documents_sent""in_for_settlement""delivery""settled""not_proceeding""archived""finalised"
priority?string
Value in"low""medium""high""urgent"
assignedTo?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
followUpDate?string
expectedClosureDate?string
contactId?number
employerId?number
startingQuotePayrollCycle?string|null
startingQuoteGrossAnnualSalary?string|null
insuranceStatus?string
employerApprovalStatus?string
employerName?string
procurementStatus?string
supportingDocuments?array<>
checklist?array<>
exportDates?
exported?boolean
Defaultfalse

Response Body

Successful response

application/json
  1. response
success*boolean
Example Request
curl -X PATCH 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true}